Read Firewall Actions Summary by Project
GET
https://api.vercel.com/v1/security/firewall/events/summaryAggregate counts over the firewall actions matched by the same filters as
GET /v1/security/firewall/events, without fetching any rows. Counts are of policies (mitigations), including ones that matched no requests.https://api.vercel.com/v1/security/firewall/events/summary
const response = await fetch('https://api.vercel.com/v1/security/firewall/events/summary?projectId=string&startTimestamp=123&endTimestamp=123&hosts=string&ip=[]&isActive=true&action=[]&actionType=[]&ruleKind=string&ruleId=[]&teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "blockingIps": "123", "byAction": "value", "byActionType": "value", "challengingIps": "123", "other": "123", "total": "123"}AuthorizationbearerToken
Default authentication mechanism
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
408Error
410Error
500Error